ProductInputsService

Service to use ProductInput resource.

DeleteProductInput

rpc DeleteProductInput(DeleteProductInputRequest) returns (Empty)

Deletes a product input from your Merchant Center account.

After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.

InsertProductInput

rpc InsertProductInput(InsertProductInputRequest) returns (ProductInput)

Uploads a product input to your Merchant Center account. You must have a products data source to be able to insert a product. The unique identifier of the data source is passed as a query parameter in the request URL.

If a product input with the same contentLanguage, offerId, and dataSource already exists, then the product input inserted by this method replaces that entry.

After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.

UpdateProductInput

rpc UpdateProductInput(UpdateProductInputRequest) returns (ProductInput)

Updates the existing product input in your Merchant Center account. The name of the product input to update is taken from the name field within the ProductInput resource.

After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.